GET api/Report/GETTCSAmountForMonthWise?distId={distId}&NameMonth={NameMonth}&NameYear={NameYear}&DairyPlantID={DairyPlantID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
distId

integer

Required

NameMonth

integer

Required

NameYear

integer

Required

DairyPlantID

integer

Required

Body Parameters

None.

Response Information

Resource Description

Collection of TCSAmountReport
NameDescriptionTypeAdditional information
TpoNo

string

None.

FpoNo

string

None.

DistributorName

string

None.

NetAmount

decimal number

None.

TCSAmount

decimal number

None.

DistributorType

string

None.

NameofMonth

string

None.

NameOfYear

integer

None.

MonthID

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "tpoNo": "sample string 1",
    "fpoNo": "sample string 2",
    "distributorName": "sample string 3",
    "netAmount": 4.0,
    "tcsAmount": 5.0,
    "distributorType": "sample string 6",
    "nameofMonth": "sample string 7",
    "nameOfYear": 8,
    "monthID": 9
  },
  {
    "tpoNo": "sample string 1",
    "fpoNo": "sample string 2",
    "distributorName": "sample string 3",
    "netAmount": 4.0,
    "tcsAmount": 5.0,
    "distributorType": "sample string 6",
    "nameofMonth": "sample string 7",
    "nameOfYear": 8,
    "monthID": 9
  }
]

application/xml, text/xml

Sample:
<ArrayOfTCSAmountReport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <TCSAmountReport>
    <DistributorName>sample string 3</DistributorName>
    <DistributorType>sample string 6</DistributorType>
    <FpoNo>sample string 2</FpoNo>
    <MonthID>9</MonthID>
    <NameOfYear>8</NameOfYear>
    <NameofMonth>sample string 7</NameofMonth>
    <NetAmount>4</NetAmount>
    <TCSAmount>5</TCSAmount>
    <TpoNo>sample string 1</TpoNo>
  </TCSAmountReport>
  <TCSAmountReport>
    <DistributorName>sample string 3</DistributorName>
    <DistributorType>sample string 6</DistributorType>
    <FpoNo>sample string 2</FpoNo>
    <MonthID>9</MonthID>
    <NameOfYear>8</NameOfYear>
    <NameofMonth>sample string 7</NameofMonth>
    <NetAmount>4</NetAmount>
    <TCSAmount>5</TCSAmount>
    <TpoNo>sample string 1</TpoNo>
  </TCSAmountReport>
</ArrayOfTCSAmountReport>